GNU Radio's FOSPHOR Package

Public Member Functions | Protected Member Functions | List of all members
gr::fosphor::QGLSurface Class Reference

`#include <QGLSurface.h>`

Inheritance diagram for gr::fosphor::QGLSurface:
[legend]

## Public Member Functions
| QGLSurface (QWidget *parent, qt_sink_c_impl *d_block)
void | grabContext ()
void | releaseContext ()

## Protected Member Functions
void | hideEvent (QHideEvent *he)
void | showEvent (QShowEvent *he)
void | paintEvent (QPaintEvent *pe)
void | resizeEvent (QResizeEvent *re)
void | keyPressEvent (QKeyEvent *ke)

## Constructor & Destructor Documentation

## ◆ QGLSurface()

gr::fosphor::QGLSurface::QGLSurface | ( | QWidget * | parent,
|  | qt_sink_c_impl * | d_block
| ) |  |

## Member Function Documentation

## ◆ grabContext()

void gr::fosphor::QGLSurface::grabContext | ( |  | ) |

## ◆ hideEvent()

void gr::fosphor::QGLSurface::hideEvent | ( | QHideEvent * | he | ) |
| protected

## ◆ keyPressEvent()

void gr::fosphor::QGLSurface::keyPressEvent | ( | QKeyEvent * | ke | ) |
| protected

## ◆ paintEvent()

void gr::fosphor::QGLSurface::paintEvent | ( | QPaintEvent * | pe | ) |
| protected

## ◆ releaseContext()

void gr::fosphor::QGLSurface::releaseContext | ( |  | ) |

## ◆ resizeEvent()

void gr::fosphor::QGLSurface::resizeEvent | ( | QResizeEvent * | re | ) |
| protected

## ◆ showEvent()

void gr::fosphor::QGLSurface::showEvent | ( | QShowEvent * | he | ) |
| protected

The documentation for this class was generated from the following file:

- QGLSurface.h